Subject: RE: "cygrunsrv -Q portmap" says: Service portmap exists ... Typ e: Kernel Driver
From: Larry Hall <[email-masked]>
To: "Povolotsky, Alexander" <[email-masked]>, "'Cygwin List'" <[email-masked]>
Cc: "'Robb, Sam'" <[email-masked]>, "'Hugh Sparks'" <[email-masked]>
Date: Sun, 29 Aug 2004 18:13:32 -0400

At 02:13 PM 8/29/2004, you wrote:
>Indeed I have portmap.sys file 
>
>C:\Microsoft Services for UNIX\nfs>dir  portmap.sys
> Volume in drive C is System
> Volume Serial Number is 88BD-DAD2
>
> Directory of C:\Microsoft Services for UNIX\nfs
>
>11/08/2003  02:42 PM            35,072 portmap.sys
>               1 File(s)         35,072 bytes
>               0 Dir(s)   2,908,000,256 bytes free
>
>I also have PORTMAP.EXE-1179541D.pf in Z:\Windows\Prefetch
>
>>In any case, the Windows Serivces will bind the nfs ports 
>
>How this could be veified ?
>
>>and prevent the Cygwin nfsd from working.
>
>I think there should be a solution, short of deinstalling "Windows Services
>for Unix' ? 

Well, if you can figure out a way to get Windows to ignore the portmap 
driver, then you may be able to get Cygwin's portmap server to run.  
However, more practically, I think you're going to find these two pieces 
of software are incompatible.  Given that you have access to the Cygwin
version's source, you could conceivably track down where these two collide
and potentially fashion a fix that allows Cygwin's version to work around
MS's, if that's your goal.  Seems like having one or the other of these 
running is all that the typical user would want/need though.  YMMV.

--
Larry Hall                              http://www.rfk.com
RFK Partners, Inc.                      (508) 893-9779 - RFK Office
838 Washington Street                   (508) 893-9889 - FAX
Holliston, MA 01746                     

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/